Subject: Re: MPC823: i2c-algo-8xx read interrupt?

From: Dan Malek <[email-masked]>
Date: Mon, 11 Feb 2002 11:02:17 -0500

[email-masked] wrote:

> You're right, but spending XX$ on a fast PPC chip and after that let it run
> busy loops to time the I2C control makes me feel bad :)

So, you think interrupt and management overhead of the software to send a
couple of bytes on a 100k serial interface is free?  The chip designers are
often upset when you don't use every feature, but you need to apply some
real systems engineering methods and analyze how all of these little things
help (or hurt) your application.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/